Subject: Re: bug#41362: error when running guix pull on i686-linux

From: Ludovic Courtès <[email-masked]>
Date: Fri, 24 Jul 2020 15:06:46 +0200

Hello,

Mayeul Cantan <[email-masked]> skribis:

> Thanks to your comment regarding a possible memory corruption issue, I
> ran my memory module trough memtest86+, which identified several
> problematic addresses. So this was likely a hardware issue.
>
> I tried blacklisting them with the memmap kernel command-line option,
> but that didn't fix the issue. Looking at the addresses, I reduced my
> memory to 600 MiBs (mem=600M, which seems to solve the issue, though
> it makes `guix pull` extremely slow.
>
> I haven't touched that system in a while, so my recollection is a bit
> fuzzy. I am going to try again, though. (I would have loved to
> experiment on another computer on top of another distro, but wasn't
> ready to give guix root access back then).
>
> I think this really was a HW issue, but I will keep you posted.

It does look like a hardware issue from what you describe.

Thanks for the update,
Ludo’.